%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-sudoku
Version:        3.38.0
Release:	%mkrel 1
Summary:	GNOME Sudoku game
License:	GPLv2+ and CC-BY-SA
Group:		Games/Puzzles
URL:		https://wiki.gnome.org/Apps/Sudoku
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	itstool
BuildRequires:	python3
BuildRequires:	vala
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(qqwing)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(json-glib-1.0)
# For help
Requires:	yelp

%description
GNOME version of the popular Sudoku Japanese logic game.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Sudoku.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Sudoku.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.Sudoku.service
%{_iconsdir}/*/*/apps/org.gnome.Sudoku*.*
%{_mandir}/man6/%{name}.6*
%{_datadir}/metainfo/org.gnome.Sudoku.appdata.xml


%changelog
* Sat Sep 12 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1624855
- new version 3.38.0

* Fri Sep 04 2020 ovitters <ovitters> 3.37.92-1.mga8
+ Revision: 1622109
- new version 3.37.92

* Fri Aug 07 2020 ovitters <ovitters> 3.37.90-1.mga8
+ Revision: 1611832
- new version 3.37.90

* Thu Jul 02 2020 ovitters <ovitters> 3.37.3-1.mga8
+ Revision: 1601453
- new version 3.37.3

* Wed Jun 10 2020 ovitters <ovitters> 3.37.2-1.mga8
+ Revision: 1591772
- new version 3.37.2

* Thu Mar 05 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554198
- new version 3.36.0

* Sun Feb 16 2020 umeabot <umeabot> 3.34.1-2.mga8
+ Revision: 1535905
- Mageia 8 Mass Rebuild

* Mon Oct 14 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1453119
- new version 3.34.1

* Sun Sep 08 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1438553
- new version 3.34.0

* Fri Aug 09 2019 tv <tv> 3.33.4-1.mga8
+ Revision: 1428295
- new release

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392481
- Rebuild with meson 0.50.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1374072
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.92-1.mga7
+ Revision: 1372345
- new version 3.31.92

* Mon Sep 03 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1256353
- new version 3.30.0
- new version 3.29.2

* Sat Mar 17 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1210126
- new version 3.28.0

* Sat Sep 09 2017 ovitters <ovitters> 3.26.0-1.mga7
+ Revision: 1152058
- new version 3.26.0

* Wed Aug 23 2017 ovitters <ovitters> 3.25.4-1.mga7
+ Revision: 1143373
- new version 3.25.4

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094051
- new version 3.24.0

* Sun Nov 06 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1065562
- new version 3.22.2

* Wed Sep 21 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055012
- new version 3.22.0

* Mon Aug 22 2016 ovitters <ovitters> 3.20.5-1.mga6
+ Revision: 1047874
- new version 3.20.5

* Thu Jul 14 2016 pterjan <pterjan> 3.20.4-1.mga6
+ Revision: 1041964
- Update to 3.20.4
+ ovitters <ovitters>
- new version 3.20.3

* Mon May 23 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1017888
- new version 3.20.2

* Sat May 07 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1010153
- new version 3.20.1

* Sun Mar 20 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993253
- new version 3.20.0

* Sun Jan 17 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 925025
- new version 3.19.4

* Mon Nov 23 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 905272
- new version 3.19.2

* Fri Nov 06 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 898242
- new version 3.18.2

* Sun Oct 11 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 889816
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882939
- new release
+ ovitters <ovitters>
- new version 3.17.92

* Fri Aug 14 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 864705
- new version 3.17.90

* Mon Jun 22 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 839672
- new version 3.17.2

* Tue Feb 17 2015 wally <wally> 3.14.2-2.mga5
+ Revision: 815331
- require yelp for showing help

* Tue Nov 11 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796294
- new version 3.14.2

* Wed Oct 15 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 757161
- new version 3.14.1
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 3.14.0-2.mga5
+ Revision: 731147
- rebuild so that it picks typelib() requires

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719242
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 679773
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 676959
- new version 3.13.92

* Wed Aug 27 2014 pterjan <pterjan> 3.13.90-1.mga5
+ Revision: 668531
- Update BuildRequires based on configure
+ ovitters <ovitters>
- new version 3.13.90

* Mon Jul 21 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 655245
- new version 3.13.4

* Tue Jun 24 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 639429
- update filelist, no longer noarch
- new version 3.13.3

* Mon Jun 23 2014 ovitters <ovitters> 3.12.2-4.mga5
+ Revision: 638846
- update url

* Sat May 31 2014 pterjan <pterjan> 3.12.2-3.mga5
+ Revision: 629675
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 3.12.2-2.mga5
+ Revision: 629533
- Rebuild for new Python

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622086
- new version 3.12.2

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614074
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607934
- new version 3.12.0

* Sun Mar 16 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604238
- new version 3.11.92

* Mon Feb 17 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 593374
- new version 3.11.90

* Fri Feb 07 2014 dams <dams> 3.11.3-1.mga5
+ Revision: 585468
- new version 3.11.3

* Mon Nov 11 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 550504
- new version 3.10.2

* Sat Nov 02 2013 fwang <fwang> 3.10.1-3.mga4
+ Revision: 548896
- add requires on python-gi

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 541396
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 495862
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484280
- new version 3.10.0

* Mon Sep 16 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480450
- new version 3.9.92

* Wed Aug 21 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 468743
- new version 3.9.90

* Sun Jun 09 2013 fwang <fwang> 3.8.1-4.mga4
+ Revision: 440975
- cleanup  spec

* Sun Jun 09 2013 dams <dams> 3.8.1-3.mga4
+ Revision: 440862
- fix requires

* Sun Jun 09 2013 dams <dams> 3.8.1-2.mga4
+ Revision: 440840
- Better 'Obsoletes'

* Sun Jun 09 2013 dams <dams> 3.8.1-1.mga4
+ Revision: 440835
- imported package gnome-sudoku

